Observability
Show the trace containing a run
GET /v1/observability/runs/{runId}/trace · SDK getObservabilityRunTrace · CLI deployments trace for-run
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
runId*stringLength
1 <= length <= 160x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ObservabilityTraceResponse
application/json- response
agent_definition_id?stringagent_deployment_id?stringagent_release_id?stringcompleted_at?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeduration_ms?number|||environment_id*stringerror_class?stringexecution_purpose?stringfact_id*stringfinalized_at?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeoccurred_at*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeproject_id*stringrelease_selection?stringroot_run_id?stringrun_count?number|||run_id?stringsession_id?stringstatus?stringtotal_cost_usd_micros?number|||total_tokens?number|||trace_id*stringtrigger?stringcurl -X GET "https://example.com/v1/observability/runs/string/trace" \ -H "x-deployments-organization: string"{ "agent_definition_id": "string", "agent_deployment_id": "string", "agent_release_id": "string", "completed_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "environment_id": "string", "error_class": "string", "execution_purpose": "string", "fact_id": "string", "finalized_at": "2019-08-24T14:15:22Z", "occurred_at": "2019-08-24T14:15:22Z", "project_id": "string", "release_selection": "string", "root_run_id": "string", "run_count": 0, "run_id": "string", "session_id": "string", "status": "string", "total_cost_usd_micros": 0, "total_tokens": 0, "trace_id": "string", "trigger": "string"}